﻿@using dbChange.Models.LIB;
@using System.Globalization;
@{
    ViewData["Title"] = "Năng lực sản xuất TCT";
    Layout = "~/Views/Shared/_Layout_NLSX.cshtml";
    var TuanMoiNhat = ViewData["TuanMoiNhat"];
    var ThangHienTai = DateTime.Now.Month;
    var NamHienTai = DateTime.Now.Year;
    DateTime NgayThangNamHienTai = DateTime.Now;
    List<string> lsThangNam = new List<string>();
    DateTime Min = NgayThangNamHienTai.AddMonths(-12);

    for (int i = 1; i <= 24; i++)
    {
        lsThangNam.Add(Min.Month + "/" + Min.Year);
        Min = Min.AddMonths(1);
    }

    //for (int i = 1; i <= 12; i++)
    //{
    //    lsThangNam.Add(i + "/" + (NamHienTai - 1));
    //}
    //for (int i = 1; i <=12; i++)
    //{
    //    lsThangNam.Add(i + "/" + NamHienTai);
    //}
    
    var TuanHienTai = 1;
    var time = DateTime.Now;
    DayOfWeek day = CultureInfo.InvariantCulture.Calendar.GetDayOfWeek(time);
    if (day >= DayOfWeek.Monday && day <= DayOfWeek.Wednesday)
    {
        time = time.AddDays(3);
    }

    // Return the week of our adjusted day
    //TuanHienTai = CultureInfo.InvariantCulture.Calendar.GetWeekOfYear(time, CalendarWeekRule.FirstFourDayWeek, DayOfWeek.Monday);
    TuanHienTai = Convert.ToInt32(TuanMoiNhat);
    List<string> lsTuanNam = new List<string>();
    for (int i = 1; i <= 52; i++)
    {
        lsTuanNam.Add(i.ToString());
    }
}
<div class="iq-card">
    @*<div class="iq-card-header d-flex justify-content-between">
            <div class="iq-header-title">
                <h4 class="text-primary card-title">
                    <i class="ri-file-list-3-line"></i> Năng lực sản xuất
                </h4>
            </div>
        </div>*@
    <div class="iq-card-body">
        <form id="formSearch">
            <input type="hidden" value="@TuanHienTai" id="TuanHienTai" name="TuanHienTai" />
            <div class="row">
                <div class="col-md-3 col-sm-12 col-12">
                    <div class="form-group">
                        <button type="button" class="btn btn-success form-control-sm" id="btnXemThangHienTai" style="line-height:16px;"><i class="fa fa-check" aria-hidden="true"></i>Tháng</button>
                        <button type="button" class="btn btn-success form-control-sm" id="btnXemQuyHienTai" style="line-height:16px;"><i class="fa fa-check" aria-hidden="true"></i>Quý</button>
                        <button type="button" class="btn btn-success form-control-sm" id="btnXemNamHienTai" style="line-height:16px;"><i class="fa fa-check" aria-hidden="true"></i>Năm</button>
                    </div>
                </div>
                <div class="col-md-7 col-sm-12 col-12">
                    <div class="form-group row">
                        <label for="inputPassword" class="col-md-3 col-sm-12 col-12 col-form-label">Tuần cập nhật</label>
                        <div class="col-md-7 col-sm-12 col-12 pb-1">
                            <select class="form-group form-control Tuan" id="Tuan" name="Tuan" >
                                @{
                                    foreach (string s in lsTuanNam)
                                    {
                                        @if (s == TuanHienTai.ToString())
                                        {
                                            <option selected value="@s">Tuần thứ @s</option>
                                        }
                                        else
                                        {
                                            <option value="@s">Tuần thứ @s</option>
                                        }
                                    }
                                }
                            </select>
                        </div>
                        <label for="inputPassword" class="col-md-3 col-sm-12 col-12 col-form-label">Tháng tùy chọn</label>
                        <div class="col-md-7 col-sm-7 col-12 pb-1">
                            <select class="form-group form-control  Thang" id="Thang" name="Thang[]" multiple="multiple">
                                @{
                                    foreach (string s in lsThangNam)
                                    {
                                        var chk = ThangHienTai + "/" + NamHienTai;
                                        if (chk == s)
                                        {
                                            <option value="@s" selected>Tháng @s</option>
                                        }
                                        else
                                        {
                                            <option value="@s">Tháng @s</option>
                                        }
                                    }
                                }
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-md-2 col-sm-12 col-12">
                    <div class="form-group">
                        <button type="button" class="btn btn-primary form-control-sm" id="btnXem" style="line-height:16px;"><i class="fa fa-search-minus" aria-hidden="true"></i>Xem</button>
                    </div>

                </div>
            </div>
        </form>
        <h4 class="TieuDe text-center" style="color:brown;font-weight:bold;text-transform:uppercase;display:none"></h4>
        <div id="gridContainer">Đang tải dữ liệu....</div>
    </div>
</div>



<div class="modal fade" id="modal_ShowNguonHang" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalScrollableTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable modal-xl" role="document">
        <div class="modal-content">
            <form action="">
                <input type="hidden" value="" name="ThangSoSanh_NguonHang" id="ThangSoSanh_NguonHang" />
                <input type="hidden" value="" name="ChungLoaiSoSanh_NguonHang" id="ChungLoaiSoSanh_NguonHang" />
                <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalScrollableTitle">Chi tiết nguồn hàng</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                </div>
                <div class="row modal-header">
                    <div class="col-md-3 col-sm-12 col-12 col-form-label">Chọn tuần so sánh</div>
                    <div class="col-md-9 col-sm-12 col-12">
                        <select class="form-group form-control TuanSoSanh" id="TuanSoSanh_NguonHang" name="TuanSoSanh" style="width:100%;">
                           
                        </select>
                    </div>
                </div>
            </form>
            <div class="modal-body">
                <div id="gridContainerNguonHang">Đang tải dữ liệu....</div>
            </div>
            <div class="modal-footer">
                <input type="hidden" class="btn btn-secondary btnLamMoi_ShowNguonHang" value="Đóng" />
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Đóng</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="modal_ShowNangLuc" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalScrollableTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable modal-xl" role="document">
        <div class="modal-content">
            <form action="">
                <input type="hidden" value="" name="ThangSoSanh_NangLuc" id="ThangSoSanh_NangLuc" />
                <input type="hidden" value="" name="ChungLoaiSoSanh_NangLuc" id="ChungLoaiSoSanh_NangLuc" />
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalScrollableTitle">Chi tiết năng lực</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="row modal-header">
                    <div class="col-md-3 col-sm-12 col-12 col-form-label">Chọn tuần so sánh</div>
                    <div class="col-md-9 col-sm-12 col-12">
                        <select class="form-group form-control TuanSoSanh" id="TuanSoSanh_NangLuc" name="TuanSoSanh" style="width:100%;">
                        </select>
                    </div>
                </div>
            </form>
            <div class="modal-body">
                <div id="gridContainerNangLuc">Đang tải dữ liệu....</div>
            </div>
            <div class="modal-footer">
                <input type="hidden" class="btn btn-secondary btnLamMoi_ShowNangLuc" value="Đóng" />
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Đóng</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="modal_ShowChenhLech" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalScrollableTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable modal-xl" role="document">
        <div class="modal-content">
            <form action="">
                <input type="hidden" value="" name="ThangSoSanh_ChenhLech" id="ThangSoSanh_ChenhLech" />
                <input type="hidden" value="" name="ChungLoaiSoSanh_ChenhLech" id="ChungLoaiSoSanh_ChenhLech" />
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalScrollableTitle">Chi tiết chênh lệch</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="row modal-header">
                    <div class="col-md-3 col-sm-12 col-12 col-form-label">Chọn tuần so sánh</div>
                    <div class="col-md-9 col-sm-12 col-12">
                        <select class="form-group form-control TuanSoSanh" id="TuanSoSanh_ChenhLech" name="TuanSoSanh" style="width:100%;">
                        </select>
                    </div>
                </div>
            </form>
            <div class="modal-body">
                <div id="gridContainerChenhLech">Đang tải dữ liệu....</div>
            </div>
            <div class="modal-footer">
                <input type="hidden" class="btn btn-secondary btnLamMoi_ShowChenhLech" value="Đóng" />
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Đóng</button>
            </div>
        </div>
    </div>
</div>